Page MenuHomePhabricator

Close VE gracefully when the 'Article' tab is clicked, so that changes are not "recovered" when they shouldn't be
Closed, ResolvedPublic

Description

Provided you are not changing revision, we don't have to fully reload the page, and can use the VE dialog for continue/discard. This has the benefit of discarding auto-saved changes if you hit discard (which we can't do with the system beforeUnload popup).

Event Timeline

Esanders created this task.Mar 10 2018, 5:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2018, 5:49 PM

Change 418601 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Attach deactivate code to namespace tab ('Main'/'Article')

https://gerrit.wikimedia.org/r/418601

Deskana renamed this task from Close VE gracefully when the 'Article' tab is clicked to Close VE gracefully when the 'Article' tab is clicked, so that changes are not "recovered" when they shouldn't be.Mar 13 2018, 11:34 AM
Deskana assigned this task to Esanders.
Deskana triaged this task as High priority.
Deskana moved this task from To Triage to Current work on the VisualEditor board.
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 418601 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Attach deactivate code to namespace tab ('Main'/'Article')

https://gerrit.wikimedia.org/r/418601

matmarex closed this task as Resolved.Mar 15 2018, 12:57 AM
matmarex removed a project: Patch-For-Review.